Package de.gebit.integrity.runner.operations

## Class ConvertBeanToMapOperation

- java.lang.Object
- - de.gebit.integrity.runner.operations.ConvertBeanToMapOperation

- All Implemented Interfaces:
    `Operation<Object,​Object,​Map<String,​Object>>`

      public class ConvertBeanToMapOperation
      extends Object
      implements Operation<Object,​Object,​Map<String,​Object>>

  This operation converts a given single parameter to a key-value-pair map. Meant to be used like:
  (aVariableWithABeanObject asMap)
  Author:
    Rene Schneider - initial API and implementation

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ValueConverter` | `valueConverter` | The value converter being used.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConvertBeanToMapOperation()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​Object>` | `execute​(Object aParameter, Object anUnusedSecondParameter)` | Executes the operation logic.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### valueConverter

          @Inject
          protected ValueConverter valueConverter

      The value converter being used.

  - ### Constructor Detail

    - #### ConvertBeanToMapOperation

          public ConvertBeanToMapOperation()

  - ### Method Detail

    - #### execute

          public Map<String,​Object> execute​(Object aParameter,
                                                  Object anUnusedSecondParameter)

      Description copied from interface: `Operation`
      Executes the operation logic.
      Specified by:
        `execute` in interface `Operation<Object,​Object,​Map<String,​Object>>`
      Parameters:
        `aParameter` - the prefix parameter, or null if none was given or the value is not available at the time of the call
        `anUnusedSecondParameter` - the postfix parameter, or null if none was given or the value is not available at the time of the call
      Returns:
        the result value